﻿using System;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        public float value = 0f;

        ChartControl chart = new ChartControl();//Create chart control
        ChartSeries series = new ChartSeries();//Create Series
        
        public Form1()
        {
            InitializeComponent();          
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            series.Type = ChartSeriesType.Column;
            series.Points.Add(1, 3);
            series.Points.Add(2, 7);
            series.Points.Add(3, 12);
            series.Points.Add(4, 18);
            series.Points.Add(5, 22);
            series.Points.Add(6, 30);
            chart.Series.Add(series);


            chart.Series3D = true;//Enable 3D


            chart.Tilt =10f; //You can specify the value here . 


            chart.Legend.Visible = false;
            this.Controls.Add(chart);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            value += 10f;
            chart.Tilt = value;
            chart.Refresh();
        }
    }
}
